TypeScript SDK
import { Orchata } from '@orchata-ai/sdk';
const client = new Orchata({ apiKey: 'oai_your_api_key' });
const doc = await client.documents.getByFilename({
spaceId: 'space_123',
filename: 'to-do.md'
});
console.log(doc.content);curl --request GET \
--url https://api.orchata.ai/api/documents/by-filename \
--header 'Oai-Api-Key: <api-key>'import requests
url = "https://api.orchata.ai/api/documents/by-filename"
headers = {"Oai-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Oai-Api-Key': '<api-key>'}};
fetch('https://api.orchata.ai/api/documents/by-filename', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"filename": "<string>",
"status": "<string>",
"metadata": {},
"content": "<string>",
"mimeType": "<string>",
"fileSize": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}Documents
Get Document by Filename
Retrieve a document by filename within a space. Includes document content. Useful when you know the filename but not the document ID.
GET
/
api
/
documents
/
by-filename
TypeScript SDK
import { Orchata } from '@orchata-ai/sdk';
const client = new Orchata({ apiKey: 'oai_your_api_key' });
const doc = await client.documents.getByFilename({
spaceId: 'space_123',
filename: 'to-do.md'
});
console.log(doc.content);Authorizations
Query Parameters
The ID of the space containing the document
Example:
"space_123"
The filename to search for
Example:
"my-notes.md"
Was this page helpful?
⌘I